wxRuby Documentation Home

# Wx::ChildFocusEvent

A child focus event is sent to a (parent-)window when one of its child windows gains focus,
so that the window could restore the focus back to its corresponding child
if it loses it now and regains later.

Notice that child window is the direct child of the window receiving event.
Use find_focus to retreive the window which is actually getting focus.

## Derived from

CommandEvent

Event

Object

## Event table macros

To process a child focus event, use this event handler macro to direct input to a member
function that takes a ChildFocusEvent argument.

evt_child_focus() { | event | … } | Process a EVT_CHILD_FOCUS event.

## See also

Event handling overview

## Methods

- ChildFocusEvent.new
- ChildFocusEvent#get_window

### ChildFocusEvent.new

ChildFocusEvent.new(%(arg-type)Window% win = nil)

Constructor.

#### Parameters

- win The direct child which is (or which contains the window which is) receiving the focus.

### ChildFocusEvent#get_window

Returns the direct child which receives the focus, or a (grand-)parent of the control receiving the focus.

To get the actually focused control use Window#find_focus.

[This page automatically generated from the Textile source at 2023-06-09 00:45:29 +0000]